### Name: panel.xyarea
### Title: Plot series as filled polygons.
### Aliases: panel.xyarea panel.qqmath.xyarea
### Keywords: dplot

### ** Examples

xyplot(sunspot.year, panel = panel.xyarea, origin = 0,
  aspect = "xy", cut = list(n = 3, overlap = 0))

qqmath(~ data, make.groups(baseline = rnorm(100),
                           other = rnorm(100) * 2 - 0.5),
  groups = which, distribution = qunif,
  panel = panel.qqmath.xyarea, xlim = 0:1,
  auto.key = list(points = FALSE, rectangles = TRUE),
  par.settings = simpleTheme(col = c("grey", NA),
                             border = c(NA, "black"), lwd = 2))



